## org.eclipse.datatools.sqltools.debugger.core
Interface IConnectionObserver

    public interface IConnectionObserver

This interface is the callback interface used by the IControlConnection to send information or request to the individual debugger (or other kind of connection observer).

Author:
  Yang Liu

Method Summary
`void` `connectionEventOccured(java.lang.String connid, java.lang.Object event)` This is called by the IControlConnection to notify the debuggee observer of something change for the specified connection.
`void` `observableShutdown()` Notifies the observer that the observable is shutting down.
`void` `requestDisconnect(java.lang.String connid)` Requests the observer to stop observing the client connection.

Method Detail

### connectionEventOccured

    void connectionEventOccured(java.lang.String connid,
                                java.lang.Object event)

  This is called by the IControlConnection to notify the debuggee observer of something change for the specified connection.

  Parameters:
    `connid` - connection id @see org.eclipse.datatools.sqltools.core.services.ConnectionService#getConnectionId(org.eclipse.datatools.sqltools.core.DatabaseIdentifier, java.sql.Connection)
    `event` - this is defined by different database type. Currently, for ASE it will be ASEEvent; for ASA, will be an integer object containing the event id.

### observableShutdown

    void observableShutdown()

  Notifies the observer that the observable is shutting down. So no more connectionEventOccured event will be fired after this point.

### requestDisconnect

    void requestDisconnect(java.lang.String connid)

  Requests the observer to stop observing the client connection. This is only a oneway request, the observer may or may not really disconnect. But if they do really disconnect, should call `org.eclipse.datatools.sqltools.core.IControlConnection#unregisterInternalConn(String)`

  Parameters:
    `connid` - the database specific connection id @see org.eclipse.datatools.sqltools.core.services.ConnectionService#getConnectionId(org.eclipse.datatools.sqltools.core.DatabaseIdentifier, java.sql.Connection)